FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 05-17-2011, 07:42 PM
Cyril Brulebois
 
Default Bug#627114: ITP: libdevel-dprof-perl -- a deprecated Perl code profier

Hi,

Dominic Hargreaves <dom@earth.li> (17/05/2011):
> Package: wnpp
> Severity: wishlist
> Owner: Dominic Hargreaves <dom@earth.li>
>
> * Package name : libdevel-dprof-perl
> Version : 20110228.00
> Upstream Author : Florian Ragwitz <rafl@debian.org>
> * URL : http://search.cpan.org/dist/Devel-DProf/
> * License : Perl
> Programming Lang: Perl
> Description : a deprecated Perl code profier

profiler.

> Devel:Prof is deprecated. It is recommended that you install and
> use Devel::NYTProf (in the package libdevel-nytprof-perl) instead,
> as it offers significantly improved profiling and reporting.

Why packaging it at all then?

Mraw,
KiBi.
 
Old 05-17-2011, 08:37 PM
Dominic Hargreaves
 
Default Bug#627114: ITP: libdevel-dprof-perl -- a deprecated Perl code profier

On Tue, May 17, 2011 at 09:42:26PM +0200, Cyril Brulebois wrote:
> Hi,
>
> Dominic Hargreaves <dom@earth.li> (17/05/2011):
> > Package: wnpp
> > Severity: wishlist
> > Owner: Dominic Hargreaves <dom@earth.li>
> >
> > * Package name : libdevel-dprof-perl
> > Version : 20110228.00
> > Upstream Author : Florian Ragwitz <rafl@debian.org>
> > * URL : http://search.cpan.org/dist/Devel-DProf/
> > * License : Perl
> > Programming Lang: Perl
> > Description : a deprecated Perl code profier
>
> profiler.

Thanks.

> > Devel:Prof is deprecated. It is recommended that you install and
> > use Devel::NYTProf (in the package libdevel-nytprof-perl) instead,
> > as it offers significantly improved profiling and reporting.
>
> Why packaging it at all then?

It's currently part of the core perl distribution, but that packaging
of it has been deprecated in 5.14 and will be removed in 5.16. As per
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=580034> we plan to
patch the built-in warnings which will recommend installing from CPAN
instead with warnings suggesting the separate pacakge, to produce
a smooth transition (and Recommend/Depend/Suggest on it as appropriate
based on analysis of what will break during the upgrade).

Dominic.

--
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110517203704.GZ4371@urchin.earth.li">http://lists.debian.org/20110517203704.GZ4371@urchin.earth.li
 

Thread Tools




All times are GMT. The time now is 01:15 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org